[SciPy-user] scipy.sparse problem

Donald Fredkin drfredkin@ucsd....
Sun Oct 21 19:04:17 CDT 2007

I am unable to import the scipy.sparse module. When I try, here is what

C:\Documents and Settings\drf\My Documents>python
Python 2.5.1 (r251:54863, Apr 18 2007, 08:51:08) [MSC v.1310 32 bit
(Intel)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> import scipy
>>> import scipy.sparse
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "C:\Python25\Lib\site-packages\scipy\sparse\__init__.py", line
5, in <module>
    from sparse import *
  File "C:\Python25\lib\site-packages\scipy\sparse\sparse.py", line 21,
in <module>
    from scipy.sparse.sparsetools import cscmux, csrmux, \
ImportError: cannot import name cscmux
>>> print scipy.__version__

Can anyone tell me how to fix this? It was OK with an earlier version
of scipy.

This is, by the way, on Windows XP.



Donald R. Fredkin

More information about the SciPy-user mailing list